Page MenuHomePhabricator

Update Pygments to version 2.2
Closed, ResolvedPublic

Description

Pygments 2.2 has been released bringing (bringing back) support for a number of languages. In the GeShi Syntax Highlight extension, update Pygments to this version! This adds a number of -previously- missing lexers.

I'll add Ori as a subscriber since he was the one who did the last Pygments update in T125581.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 29 2017, 9:07 AM

Change 334868 had a related patch set uploaded (by Legoktm):
Update pygments to 2.2

https://gerrit.wikimedia.org/r/334868

Legoktm claimed this task.Jan 29 2017, 10:06 AM
jayvdb added a subscriber: jayvdb.Apr 8 2017, 11:08 AM

Pygments 2.2 has been released bringing (bringing back) support for a number of languages.

Which languages are newly supported?

The commit message of the patch doesnt mention them.

I can only see new lexers for the following which were listed as supported in GeShi:

  • SAS
  • Transact-SQL
  • TypoScript

You can see the languages in Gerrit, e.g. see SyntaxHighlight_GeSHi.lexers.php.

Change 334868 merged by jenkins-bot:
[mediawiki/extensions/SyntaxHighlight_GeSHi@master] Update pygments to 2.2

https://gerrit.wikimedia.org/r/334868

TheDJ closed this task as Resolved.Apr 27 2017, 1:19 PM
TheDJ removed a project: Patch-For-Review.

Change 350574 had a related patch set uploaded (by TheDJ; owner: TheDJ):
[mediawiki/extensions/SyntaxHighlight_GeSHi@master] Remove no longer needed tsql->sql mapping

https://gerrit.wikimedia.org/r/350574

Change 350574 merged by jenkins-bot:
[mediawiki/extensions/SyntaxHighlight_GeSHi@master] Remove no longer needed tsql->sql mapping

https://gerrit.wikimedia.org/r/350574

TheDJ added a subscriber: TheDJ.Apr 27 2017, 3:48 PM

Another new language supported in this version of pygments is Markdown apparently.

Krinkle moved this task from Backlog to Accepted on the SyntaxHighlight board.Apr 28 2017, 9:02 PM

Thanks for pushing this one, DJ!